<?php
/* vim: set et ts=4 sw=4 sts=4 ai: */
// +----------------------------------------------------------------------+
// | Draw verification image											  |
// | Contributed by Garrett Albright <albright@anre.net>                  |
// | Modified to simplify image                                           |
// +----------------------------------------------------------------------+
// | @version $Revision: 1.4 $
// +----------------------------------------------------------------------+

$s = $_GET["s"] or exit;

$code = verification($s);

$clen=strlen($code);
if (mt_rand(0,1)==0) {
    $bg=mt_rand(0,25);
    $dark=true;
} else {
    $bg=mt_rand(235,255);
    $dark=false;
}
$right=mt_rand(-1,4);
for ($i=0; $i<$clen; $i++) {
    $pos[$i]=mt_rand($right, $right+4);
    $fonts[$i]=mt_rand(4,5);
    $right=$pos[$i]+imagefontwidth($fonts[$i])+2;
}
$img=imagecreate($right, 16);
imagecolorallocate($img,$bg,$bg,$bg);
$lines=$clen*5;
for ($i=0; $i<$lines; $i++) {
	$fg = ($dark==true) ? mt_rand(0,50) : mt_rand(205,255);
    $fg = imagecolorallocate($img,$fg,$fg,$fg);   
    imageline($img,mt_rand(0,$right),0,mt_rand(0,$right),16,$fg);
}
for ($i=0; $i<$clen; $i++) {
	$fg = ($dark == true) ? mt_rand(191,255) : mt_rand(0,63);
    $fg = imagecolorallocate($img,$fg,$fg,$fg);
    $horiz = mt_rand(-1,16-imagefontheight($fonts[$i]));
    imagestring($img, $fonts[$i], $pos[$i], $horiz, $code{$i}, $fg);
    for ($j=0; $j<$fonts[$i]; $j++) {
        imagesetpixel($img, mt_rand($pos[$i],$pos[$i]+imagefontwidth($fonts[$i])),mt_rand($horiz, $horiz+imagefontheight($fonts[$i])), $fg);
	}
}

header("Content-type: image/png");
imagepng($img);

?>
